Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-24530

PHP Warnings during Moodle fresh install

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.9.9
    • Fix Version/s: 1.9.10, 2.0
    • Component/s: Libraries
    • Labels:
      None
    • Affected Branches:
      MOODLE_19_STABLE
    • Fixed Branches:
      MOODLE_19_STABLE, MOODLE_20_STABLE

      Description

      I just tried a very fresh new install of Moodle 1.9.9+ and spotted some PHP warnings and notices. Some of them were caused by early usage of moodlelib core functions that expected fully set up site already (CFG properties set). The other one was because get_users_by_capability() returned false (no role yet) which is not iterable by foreach.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  25/Oct/10